Update a project roleAsk AIpatch https://www.ruddr.io/api/workspace/project-roles/{id}🚧Creating or updating project roles is only available on projects where useRoles is set to true.Path ParamsidstringrequiredThe project role uuidBody ParamsnamestringThe name of the role (max 255 chars).isActivebooleanFlag indicating if the role is active on the project.truefalseisBillablebooleanFlag indicating if the role is billable. This will default to the project billability and get overridden if the project is non-billable.truefalseratefloatThe rate of the project role. Will only be available for billable projects and roles.estimatedBillableHoursfloatThe number of billable hours to budget. This will only get used if useBudget is true and budgetMode is "detailed" on the project.estimatedNonBillableHoursfloatThe number of non-billable hours to budget. This will only get used if useBudget is true and budgetMode is "detailed" on the project.estimatedMonthlyBillableHoursfloatThe number of billable hours on the monthly budget. This will only get used if useMonthlyBudget is true and monthlyBudgetMode is "detailed" on the project.estimatedMonthlyNonBillableHoursfloatThe number of non-billable hours on the monthly budget. This will only get used if useMonthlyBudget is true and monthlyBudgetMode is "detailed" on the project.disciplineIdstringThe discipline ID (uuid) for this role.practiceIdstringThe practice ID (uuid) for this role.locationIdstringThe location ID (uuid) for this role.Responses 200200 400400 404404Updated about 1 month ago